Subject: Re: Pro Git Book -- Git

From: Yakup Akbay <[email-masked]>
Date: Tue, 28 Jul 2009 14:32:25 +0300

> Hey all,
>
> Just a heads up - I've been working on a book on Git being published
> by Apress called "Pro Git", which is being licensed under a CC 3.0
> license and as I've just finished some of the final reviews, I've put
> the entire content of the book online at:
>
> http://progit.org
>
> It should be shipping at the end of August, I think, but I just wanted
> to let people know that there is another resource out there to help
> learn Git.  This one was actually technically edited by Shawn, too, so
> hopefully not too many serious errors of mine got through.
>
> I've added a link to it on http://git-scm.com under the Books section,
> in case you want to point any newbies there.  Hope this helps take
> some teaching load off some of your plates.
>
> Thanks,
> Scott

Great!

BTW, I've had the chance to read the last section (Git Internals) and there's one sentence, which I'm not sure about the meaning. 

The last paragraph in http://progit.org/book/ch9-3.html states:

> Remote references differ from branches (|refs/heads| references) 
> mainly in that they can’t be checked out. Git moves them around as 
> bookmarks to the last known state of where those branches were on 
> those servers.
Is this true? If I do `git checkout <remote>/<branch>` then I can checkout the tree, which is referenced by the 'remote reference'. 
Or am I misunderstanding the sentence? What is meant by 'remote reference' and by this sentence?

P.s. I just have subscribed to the maillist but not approved yet. So, it might not go to the right place. Sorry, if this email does not appear under the correct thread. 

Regards,
Yakup